public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2019-03-14 21:03 William Hubbs
  0 siblings, 0 replies; 27+ messages in thread
From: William Hubbs @ 2019-03-14 21:03 UTC (permalink / raw
  To: gentoo-commits

commit:     f6c58f30e7b30f34861b3bd4ffe0db265e78f8dd
Author:     William Hubbs <william.hubbs <AT> sony <DOT> com>
AuthorDate: Thu Mar 14 20:49:52 2019 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Mar 14 21:03:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6c58f30

dev-python/django-filter: Django  QuerySet filtering from URL parameters

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 +
 dev-python/django-filter/django-filter-2.1.0.ebuild | 19 +++++++++++++++++++
 dev-python/django-filter/metadata.xml               |  8 ++++++++
 3 files changed, 28 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
new file mode 100644
index 00000000000..731d3c06531
--- /dev/null
+++ b/dev-python/django-filter/Manifest
@@ -0,0 +1 @@
+DIST django-filter-2.1.0.tar.gz 142256 BLAKE2B 0763c3032cdd857be30050caa27af6bd938030c37cc52f30c98ab751c81dc8b2ce0c974ed19ae8c859347fbec2139b27a08657e99c83bc8e79b8883196050897 SHA512 e917ec0fb1cdb8f19e6a7e50989d2df3697baa0bb50eaa62f5916cc0fe000e1e3594672a312114ab761d49b9f83bf7f5c1f4a35f4014c113ac9387a9bf086e10

diff --git a/dev-python/django-filter/django-filter-2.1.0.ebuild b/dev-python/django-filter/django-filter-2.1.0.ebuild
new file mode 100644
index 00000000000..aa5e60df1dd
--- /dev/null
+++ b/dev-python/django-filter/django-filter-2.1.0.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="https://github.com/carltongibson/django-filter"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+dev-python/setuptools[${PYTHON_USEDEP}]"

diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
new file mode 100644
index 00000000000..c36c37139fa
--- /dev/null
+++ b/dev-python/django-filter/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>williamh@gentoo.org</email>
+		<name>William Hubbs</name>
+	</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2020-01-26 20:16 William Hubbs
  0 siblings, 0 replies; 27+ messages in thread
From: William Hubbs @ 2020-01-26 20:16 UTC (permalink / raw
  To: gentoo-commits

commit:     38f8cf34ba10e96e8d7a685fc667b72b4543a76f
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 26 20:15:05 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 20:15:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38f8cf34

dev-python/django-filter: 2.2.0 bump

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 +
 dev-python/django-filter/django-filter-2.2.0.ebuild | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 731d3c06531..5691ef83233 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-2.1.0.tar.gz 142256 BLAKE2B 0763c3032cdd857be30050caa27af6bd938030c37cc52f30c98ab751c81dc8b2ce0c974ed19ae8c859347fbec2139b27a08657e99c83bc8e79b8883196050897 SHA512 e917ec0fb1cdb8f19e6a7e50989d2df3697baa0bb50eaa62f5916cc0fe000e1e3594672a312114ab761d49b9f83bf7f5c1f4a35f4014c113ac9387a9bf086e10
+DIST django-filter-2.2.0.tar.gz 142804 BLAKE2B f2385fe3afa78349395bd3334461ad2acc760a2007d4b69618993e176899c77e8585d90bb68578e561a16459cdf35a480adf0a0e6235d6500e5f2c2a7c602445 SHA512 16a4336d1558cabfe497dd9736a2f652c9f9d141a72c856cf13f3ca56db4da85b5926b05c772aef5fa43a75e085025244b8deaf7facbc5bfa68907bd99f4f95d

diff --git a/dev-python/django-filter/django-filter-2.2.0.ebuild b/dev-python/django-filter/django-filter-2.2.0.ebuild
new file mode 100644
index 00000000000..bec056b673e
--- /dev/null
+++ b/dev-python/django-filter/django-filter-2.2.0.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 python3_7 )
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="https://github.com/carltongibson/django-filter"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+dev-python/setuptools[${PYTHON_USEDEP}]"


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2020-02-11 20:10 William Hubbs
  0 siblings, 0 replies; 27+ messages in thread
From: William Hubbs @ 2020-02-11 20:10 UTC (permalink / raw
  To: gentoo-commits

commit:     70210a8778ff68550c5615f8ea402a2ce8469a63
Author:     William Hubbs <william.hubbs <AT> sony <DOT> com>
AuthorDate: Tue Feb 11 18:46:11 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 20:10:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70210a87

dev-python/django-filter: add python3_8

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/django-filter/django-filter-2.2.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/django-filter/django-filter-2.2.0.ebuild b/dev-python/django-filter/django-filter-2.2.0.ebuild
index bec056b673e..1d41d0e0e70 100644
--- a/dev-python/django-filter/django-filter-2.2.0.ebuild
+++ b/dev-python/django-filter/django-filter-2.2.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_6 python3_7 )
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
 inherit distutils-r1
 
 DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2020-03-26 20:52 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2020-03-26 20:52 UTC (permalink / raw
  To: gentoo-commits

commit:     b3662388390f6c49bc6c672dc142b782aac0a60e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 26 20:41:25 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 26 20:41:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3662388

dev-python/django-filter: Remove redundant versions

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 -
 dev-python/django-filter/django-filter-2.1.0.ebuild | 19 -------------------
 2 files changed, 20 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 5691ef83233..d0cd3576913 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1 @@
-DIST django-filter-2.1.0.tar.gz 142256 BLAKE2B 0763c3032cdd857be30050caa27af6bd938030c37cc52f30c98ab751c81dc8b2ce0c974ed19ae8c859347fbec2139b27a08657e99c83bc8e79b8883196050897 SHA512 e917ec0fb1cdb8f19e6a7e50989d2df3697baa0bb50eaa62f5916cc0fe000e1e3594672a312114ab761d49b9f83bf7f5c1f4a35f4014c113ac9387a9bf086e10
 DIST django-filter-2.2.0.tar.gz 142804 BLAKE2B f2385fe3afa78349395bd3334461ad2acc760a2007d4b69618993e176899c77e8585d90bb68578e561a16459cdf35a480adf0a0e6235d6500e5f2c2a7c602445 SHA512 16a4336d1558cabfe497dd9736a2f652c9f9d141a72c856cf13f3ca56db4da85b5926b05c772aef5fa43a75e085025244b8deaf7facbc5bfa68907bd99f4f95d

diff --git a/dev-python/django-filter/django-filter-2.1.0.ebuild b/dev-python/django-filter/django-filter-2.1.0.ebuild
deleted file mode 100644
index 7ef10848096..00000000000
--- a/dev-python/django-filter/django-filter-2.1.0.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="https://github.com/carltongibson/django-filter"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-dev-python/setuptools[${PYTHON_USEDEP}]"


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-01-30 20:27 Conrad Kostecki
  0 siblings, 0 replies; 27+ messages in thread
From: Conrad Kostecki @ 2021-01-30 20:27 UTC (permalink / raw
  To: gentoo-commits

commit:     326239d77fa37683adb26c1d432e90a9db0059d3
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 19:53:10 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 20:26:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=326239d7

dev-python/django-filter: bump to version 2.4.0

Also added up to python3_9 support.

Closes: https://bugs.gentoo.org/766998
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 +
 dev-python/django-filter/django-filter-2.4.0.ebuild | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index d0cd3576913..7e9445a77ae 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-2.2.0.tar.gz 142804 BLAKE2B f2385fe3afa78349395bd3334461ad2acc760a2007d4b69618993e176899c77e8585d90bb68578e561a16459cdf35a480adf0a0e6235d6500e5f2c2a7c602445 SHA512 16a4336d1558cabfe497dd9736a2f652c9f9d141a72c856cf13f3ca56db4da85b5926b05c772aef5fa43a75e085025244b8deaf7facbc5bfa68907bd99f4f95d
+DIST django-filter-2.4.0.tar.gz 146904 BLAKE2B 994b07c0f5e511451964f4f1e007ff9906975600d0bc8a02dcbeb86f91bf906490ca394ca95c23c57c1fff25a447f50a40054c0abfe385300f9db87645753978 SHA512 0584222b46add89aa7dd1dfd334fdd19903e0119d455a2c46644c501a66df224f9f51c33394d130bcd1fc0f28c6ede6d6853b9790430040ec7228f9a1dc55264

diff --git a/dev-python/django-filter/django-filter-2.4.0.ebuild b/dev-python/django-filter/django-filter-2.4.0.ebuild
new file mode 100644
index 00000000000..d79fbac04dc
--- /dev/null
+++ b/dev-python/django-filter/django-filter-2.4.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="https://github.com/carltongibson/django-filter"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+
+RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-01-30 20:27 Conrad Kostecki
  0 siblings, 0 replies; 27+ messages in thread
From: Conrad Kostecki @ 2021-01-30 20:27 UTC (permalink / raw
  To: gentoo-commits

commit:     b74f6ff651b0da7f41d2779b47ccd1b3055e89fe
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 19:53:44 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 20:26:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b74f6ff6

dev-python/django-filter: drop old version

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 -
 dev-python/django-filter/django-filter-2.2.0.ebuild | 19 -------------------
 2 files changed, 20 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 7e9445a77ae..d5150fd906a 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1 @@
-DIST django-filter-2.2.0.tar.gz 142804 BLAKE2B f2385fe3afa78349395bd3334461ad2acc760a2007d4b69618993e176899c77e8585d90bb68578e561a16459cdf35a480adf0a0e6235d6500e5f2c2a7c602445 SHA512 16a4336d1558cabfe497dd9736a2f652c9f9d141a72c856cf13f3ca56db4da85b5926b05c772aef5fa43a75e085025244b8deaf7facbc5bfa68907bd99f4f95d
 DIST django-filter-2.4.0.tar.gz 146904 BLAKE2B 994b07c0f5e511451964f4f1e007ff9906975600d0bc8a02dcbeb86f91bf906490ca394ca95c23c57c1fff25a447f50a40054c0abfe385300f9db87645753978 SHA512 0584222b46add89aa7dd1dfd334fdd19903e0119d455a2c46644c501a66df224f9f51c33394d130bcd1fc0f28c6ede6d6853b9790430040ec7228f9a1dc55264

diff --git a/dev-python/django-filter/django-filter-2.2.0.ebuild b/dev-python/django-filter/django-filter-2.2.0.ebuild
deleted file mode 100644
index bec056b673e..00000000000
--- a/dev-python/django-filter/django-filter-2.2.0.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_6 python3_7 )
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="https://github.com/carltongibson/django-filter"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-dev-python/setuptools[${PYTHON_USEDEP}]"


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-05-15 23:18 William Hubbs
  0 siblings, 0 replies; 27+ messages in thread
From: William Hubbs @ 2021-05-15 23:18 UTC (permalink / raw
  To: gentoo-commits

commit:     dcee878d7a48bec6170abf0d7453a6e7164f9d88
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sat May 15 23:17:54 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sat May 15 23:18:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcee878d

dev-python/django-filter: remove myself from maintainers

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/django-filter/metadata.xml | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
index 94af350f226..45b83995887 100644
--- a/dev-python/django-filter/metadata.xml
+++ b/dev-python/django-filter/metadata.xml
@@ -1,10 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>williamh@gentoo.org</email>
-		<name>William Hubbs</name>
-	</maintainer>
+	<!-- maintainer-needed -->
 	<upstream>
 		<remote-id type="pypi">django-filter</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-09-24 19:28 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2021-09-24 19:28 UTC (permalink / raw
  To: gentoo-commits

commit:     a09c039295d20c4f0874847ad0798c25f17f85de
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 24 19:25:26 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 24 19:28:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a09c0392

dev-python/django-filter: python@ will maintain it

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/metadata.xml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
index 7b48ab146c6..60ff712f063 100644
--- a/dev-python/django-filter/metadata.xml
+++ b/dev-python/django-filter/metadata.xml
@@ -1,7 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="pypi">django-filter</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-09-25  6:43 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2021-09-25  6:43 UTC (permalink / raw
  To: gentoo-commits

commit:     d3841d5d4ea39ed9d7f202ca4fabc5736bc3ccc1
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 25 05:47:45 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 25 06:43:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3841d5d

dev-python/django-filter: add github upstream metadata

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/django-filter/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
index 60ff712f063..ee17f6d4621 100644
--- a/dev-python/django-filter/metadata.xml
+++ b/dev-python/django-filter/metadata.xml
@@ -7,5 +7,6 @@
 	</maintainer>
 	<upstream>
 		<remote-id type="pypi">django-filter</remote-id>
+		<remote-id type="github">carltongibson/django-filter</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-09-25  6:43 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2021-09-25  6:43 UTC (permalink / raw
  To: gentoo-commits

commit:     6eecd117f9e618a4ba373897ac5b02d47fd7c00c
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 25 05:47:35 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 25 06:43:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6eecd117

dev-python/django-filter: fix deps

Closes: https://bugs.gentoo.org/814671
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 ...{django-filter-21.1.ebuild => django-filter-21.1-r1.ebuild} | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/dev-python/django-filter/django-filter-21.1.ebuild b/dev-python/django-filter/django-filter-21.1-r1.ebuild
similarity index 79%
rename from dev-python/django-filter/django-filter-21.1.ebuild
rename to dev-python/django-filter/django-filter-21.1-r1.ebuild
index bf4e7366b1b..77b1bf98ccc 100644
--- a/dev-python/django-filter/django-filter-21.1.ebuild
+++ b/dev-python/django-filter/django-filter-21.1-r1.ebuild
@@ -16,8 +16,14 @@ KEYWORDS="~amd64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 
-RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
-BDEPEND="test? ( ${RDEPEND} )"
+RDEPEND=">=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/coreapi
+		dev-python/djangorestframework
+		dev-python/pytz
+	)"
 
 PATCHES=(
 	"${FILESDIR}"/${P}-test-skipIf.patch


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-09-25  7:08 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2021-09-25  7:08 UTC (permalink / raw
  To: gentoo-commits

commit:     68c63b4272915e79c96d85cc92872cfe1563dd6a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 25 07:06:58 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 25 07:06:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68c63b42

dev-python/django-filter: fix PYTHON_USEDEP

Reported-by: Michał Górny <mgorny <AT> gentoo.org>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../{django-filter-21.1-r1.ebuild => django-filter-21.1-r2.ebuild}  | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-python/django-filter/django-filter-21.1-r1.ebuild b/dev-python/django-filter/django-filter-21.1-r2.ebuild
similarity index 84%
rename from dev-python/django-filter/django-filter-21.1-r1.ebuild
rename to dev-python/django-filter/django-filter-21.1-r2.ebuild
index 77b1bf98ccc..23b5fd50926 100644
--- a/dev-python/django-filter/django-filter-21.1-r1.ebuild
+++ b/dev-python/django-filter/django-filter-21.1-r2.ebuild
@@ -20,9 +20,9 @@ RDEPEND=">=dev-python/django-2.2[${PYTHON_USEDEP}]"
 BDEPEND="
 	test? (
 		${RDEPEND}
-		dev-python/coreapi
-		dev-python/djangorestframework
-		dev-python/pytz
+		dev-python/coreapi[${PYTHON_USEDEP}]
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
 	)"
 
 PATCHES=(


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2021-10-17  7:41 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2021-10-17  7:41 UTC (permalink / raw
  To: gentoo-commits

commit:     d3cf0c291f8ea5997662b2d4fe79c54c0c45ed61
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 07:38:06 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 07:41:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3cf0c29

dev-python/django-filter: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                   |  1 -
 dev-python/django-filter/django-filter-2.4.0.ebuild | 21 ---------------------
 2 files changed, 22 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 1a587dada8f..7f132fefbd4 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1 @@
-DIST django-filter-2.4.0.tar.gz 146904 BLAKE2B 994b07c0f5e511451964f4f1e007ff9906975600d0bc8a02dcbeb86f91bf906490ca394ca95c23c57c1fff25a447f50a40054c0abfe385300f9db87645753978 SHA512 0584222b46add89aa7dd1dfd334fdd19903e0119d455a2c46644c501a66df224f9f51c33394d130bcd1fc0f28c6ede6d6853b9790430040ec7228f9a1dc55264
 DIST django-filter-21.1.tar.gz 154188 BLAKE2B f0ae3119a1dfa466e6630f7da44db1531172991b137fe9420ed533a7b3d4177f689f07fed115566854bd40e5e23f4e9f2f73be32188af2c067a81a95fbccc5a3 SHA512 df2b02bfa93874d9684a26394778203b827c6459ab8cc8c581677e6ccfeedf1323085f53fb52cfc3e0e0a3d27f86de655366bcd4be361502ce86e65b4a4e84d0

diff --git a/dev-python/django-filter/django-filter-2.4.0.ebuild b/dev-python/django-filter/django-filter-2.4.0.ebuild
deleted file mode 100644
index d79fbac04dc..00000000000
--- a/dev-python/django-filter/django-filter-2.4.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="https://github.com/carltongibson/django-filter"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-RESTRICT="test"
-
-RDEPEND=">=dev-python/django-1.11[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-
-distutils_enable_tests pytest


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2022-04-24 13:27 Jakov Smolić
  0 siblings, 0 replies; 27+ messages in thread
From: Jakov Smolić @ 2022-04-24 13:27 UTC (permalink / raw
  To: gentoo-commits

commit:     337d15ce832724099ccaa9ee5576e819d848a35d
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 24 13:26:40 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Sun Apr 24 13:26:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=337d15ce

dev-python/django-filter: Keyword 21.1-r2 x86, #839930

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 dev-python/django-filter/django-filter-21.1-r2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/django-filter/django-filter-21.1-r2.ebuild b/dev-python/django-filter/django-filter-21.1-r2.ebuild
index 23b5fd509266..d64a0826500e 100644
--- a/dev-python/django-filter/django-filter-21.1-r2.ebuild
+++ b/dev-python/django-filter/django-filter-21.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-01-27 13:14 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2023-01-27 13:14 UTC (permalink / raw
  To: gentoo-commits

commit:     332d32f6a495953ef065b4d49e6d5940aa08efa9
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 13:08:35 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 13:14:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=332d32f6

dev-python/django-filter: mark ALLARCHES

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/django-filter/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
index ee17f6d46218..337b4c0ca265 100644
--- a/dev-python/django-filter/metadata.xml
+++ b/dev-python/django-filter/metadata.xml
@@ -5,6 +5,7 @@
 		<email>python@gentoo.org</email>
 		<name>Python</name>
 	</maintainer>
+	<stabilize-allarches/>
 	<upstream>
 		<remote-id type="pypi">django-filter</remote-id>
 		<remote-id type="github">carltongibson/django-filter</remote-id>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-01-27 13:14 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2023-01-27 13:14 UTC (permalink / raw
  To: gentoo-commits

commit:     50180ff98124f20a56d7f12529153032c659c333
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 13:05:57 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 13:14:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50180ff9

dev-python/django-filter: enable py3.11

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/django-filter/django-filter-22.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/django-filter/django-filter-22.1.ebuild b/dev-python/django-filter/django-filter-22.1.ebuild
index 851eca311367..96a3f517f036 100644
--- a/dev-python/django-filter/django-filter-22.1.ebuild
+++ b/dev-python/django-filter/django-filter-22.1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..10} )
+PYTHON_COMPAT=( python3_{9..11} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-03-26 18:02 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-03-26 18:02 UTC (permalink / raw
  To: gentoo-commits

commit:     fc67b588e681b2bdc5bde1ad47bc6cb8fa3eec6b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 26 17:33:07 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 26 18:02:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc67b588

dev-python/django-filter: Bump to 23.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-23.1.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 432a570d9db8..cb7783fa0db4 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-22.1.gh.tar.gz 132450 BLAKE2B 9ef9a4ee15ebd3d461803b4dbbdf9a415e7004ee6b9eaaa75c87f9b3993461e6e294621182478ba0ad06595937c9b98fe89d16e9c48e34ced7dd525f40dc926f SHA512 9db2e684815a69c8b28b512c994ad1845c7a3e53da5dc762e5833c1ee4d90c5e513aa5cb3e59d9033c509b44fe9c27ce4fe798842aec50e040c06d33cb18ec0a
+DIST django-filter-23.1.gh.tar.gz 135407 BLAKE2B a23b7c6ae4692bd991aee4c0dfc4beb699ffbaec4e831dd3d13cb7b76f6acf4ba015c73bc7c9be21f6d95dfe17691f43baeda1f04b7e8757ced315c80d111d72 SHA512 c8437c3806e9d0e05bbbb938d225abe05da33103c729ccdb97dd47b7482178530a3fed5efba22458440530bd71cc9a171bae8fa81c2a67a50e5c6f34f2c300a2

diff --git a/dev-python/django-filter/django-filter-23.1.ebuild b/dev-python/django-filter/django-filter-23.1.ebuild
new file mode 100644
index 000000000000..2695ec0026ca
--- /dev/null
+++ b/dev-python/django-filter/django-filter-23.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/coreapi[${PYTHON_USEDEP}]
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-09-17 13:35 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-09-17 13:35 UTC (permalink / raw
  To: gentoo-commits

commit:     b5a8a41c015eb53e0c92cc00abcb45245ad76b9b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 12:56:49 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 13:35:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5a8a41c

dev-python/django-filter: Bump to 23.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-23.3.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index a85859cefd12..a0a79e88f0a3 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-23.1.gh.tar.gz 135407 BLAKE2B a23b7c6ae4692bd991aee4c0dfc4beb699ffbaec4e831dd3d13cb7b76f6acf4ba015c73bc7c9be21f6d95dfe17691f43baeda1f04b7e8757ced315c80d111d72 SHA512 c8437c3806e9d0e05bbbb938d225abe05da33103c729ccdb97dd47b7482178530a3fed5efba22458440530bd71cc9a171bae8fa81c2a67a50e5c6f34f2c300a2
+DIST django-filter-23.3.gh.tar.gz 137495 BLAKE2B 70049e744ec87a1dab9680144093684d3d23dd338a9b2d697de302b45e65bcd6f93c03c55ad5386ba1a7187e7ff5d1c43904f19cb17652ef6644b47a0f23101c SHA512 1da3f9bb1988d0b89d25f4101c26f4102d38e4717cdbd8d0cd4ae03a97658bfcc050afd3468ef6d0e33dc6533c7679f1906ddaccba8e7096a4bd570282a93c0a

diff --git a/dev-python/django-filter/django-filter-23.3.ebuild b/dev-python/django-filter/django-filter-23.3.ebuild
new file mode 100644
index 000000000000..a3c5da1ca1c3
--- /dev/null
+++ b/dev-python/django-filter/django-filter-23.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-09-17 13:45 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-09-17 13:45 UTC (permalink / raw
  To: gentoo-commits

commit:     bafec47d9bb8403e7fe08477eedfedc649f3e7a1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 13:43:48 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 13:43:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bafec47d

dev-python/django-filter: Enable py3.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/django-filter-23.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/django-filter/django-filter-23.3.ebuild b/dev-python/django-filter/django-filter-23.3.ebuild
index a3c5da1ca1c3..0769ae71ed93 100644
--- a/dev-python/django-filter/django-filter-23.3.ebuild
+++ b/dev-python/django-filter/django-filter-23.3.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-09-17 17:22 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-09-17 17:22 UTC (permalink / raw
  To: gentoo-commits

commit:     2851c6db31480160deda156e2ee7656a3e54c181
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 17:16:55 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 17:22:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2851c6db

dev-python/django-filter: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 -
 dev-python/django-filter/django-filter-23.1.ebuild | 42 ----------------------
 2 files changed, 43 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index a0a79e88f0a3..8625d3e489d2 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1 @@
-DIST django-filter-23.1.gh.tar.gz 135407 BLAKE2B a23b7c6ae4692bd991aee4c0dfc4beb699ffbaec4e831dd3d13cb7b76f6acf4ba015c73bc7c9be21f6d95dfe17691f43baeda1f04b7e8757ced315c80d111d72 SHA512 c8437c3806e9d0e05bbbb938d225abe05da33103c729ccdb97dd47b7482178530a3fed5efba22458440530bd71cc9a171bae8fa81c2a67a50e5c6f34f2c300a2
 DIST django-filter-23.3.gh.tar.gz 137495 BLAKE2B 70049e744ec87a1dab9680144093684d3d23dd338a9b2d697de302b45e65bcd6f93c03c55ad5386ba1a7187e7ff5d1c43904f19cb17652ef6644b47a0f23101c SHA512 1da3f9bb1988d0b89d25f4101c26f4102d38e4717cdbd8d0cd4ae03a97658bfcc050afd3468ef6d0e33dc6533c7679f1906ddaccba8e7096a4bd570282a93c0a

diff --git a/dev-python/django-filter/django-filter-23.1.ebuild b/dev-python/django-filter/django-filter-23.1.ebuild
deleted file mode 100644
index 2695ec0026ca..000000000000
--- a/dev-python/django-filter/django-filter-23.1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="
-	https://github.com/carltongibson/django-filter/
-	https://pypi.org/project/django-filter/
-"
-SRC_URI="
-	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	>=dev-python/django-3.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		${RDEPEND}
-		dev-python/coreapi[${PYTHON_USEDEP}]
-		dev-python/djangorestframework[${PYTHON_USEDEP}]
-		dev-python/pytz[${PYTHON_USEDEP}]
-	)
-"
-
-python_test() {
-	local -x DJANGO_SETTINGS_MODULE=tests.settings
-	"${EPYTHON}" -m django test -v 2 || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-11-21  4:44 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-11-21  4:44 UTC (permalink / raw
  To: gentoo-commits

commit:     64ed64d59644111ec50a2d8969827b0e4a7a03de
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 21 04:34:12 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 21 04:44:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64ed64d5

dev-python/django-filter: Bump to 23.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-23.4.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 8625d3e489d2..8cd33a357042 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-23.3.gh.tar.gz 137495 BLAKE2B 70049e744ec87a1dab9680144093684d3d23dd338a9b2d697de302b45e65bcd6f93c03c55ad5386ba1a7187e7ff5d1c43904f19cb17652ef6644b47a0f23101c SHA512 1da3f9bb1988d0b89d25f4101c26f4102d38e4717cdbd8d0cd4ae03a97658bfcc050afd3468ef6d0e33dc6533c7679f1906ddaccba8e7096a4bd570282a93c0a
+DIST django-filter-23.4.gh.tar.gz 137524 BLAKE2B 2ba4697e72f2a211860cd5571e76e4cb2c74a588112ea1570ea53cbb57358b178f9f64f651df471fbc06034ab6713e21e61ad83576adb29e3d758bbba965fa1f SHA512 ee564b3b67e355e6598adcc7b9046e4a3855a0dfd99cf551793c3a5c9797b0d87805b2b78b29f1e20de7e68337e6e1472205908f3b5cf26e36f554345b99cce9

diff --git a/dev-python/django-filter/django-filter-23.4.ebuild b/dev-python/django-filter/django-filter-23.4.ebuild
new file mode 100644
index 000000000000..0769ae71ed93
--- /dev/null
+++ b/dev-python/django-filter/django-filter-23.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-11-23 20:11 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-11-23 20:11 UTC (permalink / raw
  To: gentoo-commits

commit:     d0c0f4b982d52e4f313edd735db251373b8838e1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 23 20:10:55 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 23 20:10:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0c0f4b9

dev-python/django-filter: Keyword 23.4 arm64, #917880

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/django-filter-23.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/django-filter/django-filter-23.4.ebuild b/dev-python/django-filter/django-filter-23.4.ebuild
index 0769ae71ed93..fac2db6651c4 100644
--- a/dev-python/django-filter/django-filter-23.4.ebuild
+++ b/dev-python/django-filter/django-filter-23.4.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-12-05 14:32 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-12-05 14:32 UTC (permalink / raw
  To: gentoo-commits

commit:     84da4e6a1164cd2866eae265c6001273313c9d2a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  5 13:10:42 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec  5 14:32:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84da4e6a

dev-python/django-filter: Bump to 23.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-23.5.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 8cd33a357042..51f1674b082f 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1,3 @@
 DIST django-filter-23.3.gh.tar.gz 137495 BLAKE2B 70049e744ec87a1dab9680144093684d3d23dd338a9b2d697de302b45e65bcd6f93c03c55ad5386ba1a7187e7ff5d1c43904f19cb17652ef6644b47a0f23101c SHA512 1da3f9bb1988d0b89d25f4101c26f4102d38e4717cdbd8d0cd4ae03a97658bfcc050afd3468ef6d0e33dc6533c7679f1906ddaccba8e7096a4bd570282a93c0a
 DIST django-filter-23.4.gh.tar.gz 137524 BLAKE2B 2ba4697e72f2a211860cd5571e76e4cb2c74a588112ea1570ea53cbb57358b178f9f64f651df471fbc06034ab6713e21e61ad83576adb29e3d758bbba965fa1f SHA512 ee564b3b67e355e6598adcc7b9046e4a3855a0dfd99cf551793c3a5c9797b0d87805b2b78b29f1e20de7e68337e6e1472205908f3b5cf26e36f554345b99cce9
+DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c

diff --git a/dev-python/django-filter/django-filter-23.5.ebuild b/dev-python/django-filter/django-filter-23.5.ebuild
new file mode 100644
index 000000000000..fac2db6651c4
--- /dev/null
+++ b/dev-python/django-filter/django-filter-23.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2023-12-30 18:28 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-12-30 18:28 UTC (permalink / raw
  To: gentoo-commits

commit:     24b47aa044daa3a72c61decf0d8ffc4706bfb256
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 18:27:13 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 18:27:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24b47aa0

dev-python/django-filter: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  2 --
 dev-python/django-filter/django-filter-23.3.ebuild | 42 ----------------------
 dev-python/django-filter/django-filter-23.4.ebuild | 42 ----------------------
 3 files changed, 86 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 51f1674b082f..2de10419514e 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,3 +1 @@
-DIST django-filter-23.3.gh.tar.gz 137495 BLAKE2B 70049e744ec87a1dab9680144093684d3d23dd338a9b2d697de302b45e65bcd6f93c03c55ad5386ba1a7187e7ff5d1c43904f19cb17652ef6644b47a0f23101c SHA512 1da3f9bb1988d0b89d25f4101c26f4102d38e4717cdbd8d0cd4ae03a97658bfcc050afd3468ef6d0e33dc6533c7679f1906ddaccba8e7096a4bd570282a93c0a
-DIST django-filter-23.4.gh.tar.gz 137524 BLAKE2B 2ba4697e72f2a211860cd5571e76e4cb2c74a588112ea1570ea53cbb57358b178f9f64f651df471fbc06034ab6713e21e61ad83576adb29e3d758bbba965fa1f SHA512 ee564b3b67e355e6598adcc7b9046e4a3855a0dfd99cf551793c3a5c9797b0d87805b2b78b29f1e20de7e68337e6e1472205908f3b5cf26e36f554345b99cce9
 DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c

diff --git a/dev-python/django-filter/django-filter-23.3.ebuild b/dev-python/django-filter/django-filter-23.3.ebuild
deleted file mode 100644
index 0769ae71ed93..000000000000
--- a/dev-python/django-filter/django-filter-23.3.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="
-	https://github.com/carltongibson/django-filter/
-	https://pypi.org/project/django-filter/
-"
-SRC_URI="
-	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	>=dev-python/django-3.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		${RDEPEND}
-		dev-python/djangorestframework[${PYTHON_USEDEP}]
-		dev-python/pytz[${PYTHON_USEDEP}]
-		!!dev-python/coreapi
-	)
-"
-
-python_test() {
-	local -x DJANGO_SETTINGS_MODULE=tests.settings
-	"${EPYTHON}" -m django test -v 2 || die
-}

diff --git a/dev-python/django-filter/django-filter-23.4.ebuild b/dev-python/django-filter/django-filter-23.4.ebuild
deleted file mode 100644
index fac2db6651c4..000000000000
--- a/dev-python/django-filter/django-filter-23.4.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="
-	https://github.com/carltongibson/django-filter/
-	https://pypi.org/project/django-filter/
-"
-SRC_URI="
-	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	>=dev-python/django-3.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		${RDEPEND}
-		dev-python/djangorestframework[${PYTHON_USEDEP}]
-		dev-python/pytz[${PYTHON_USEDEP}]
-		!!dev-python/coreapi
-	)
-"
-
-python_test() {
-	local -x DJANGO_SETTINGS_MODULE=tests.settings
-	"${EPYTHON}" -m django test -v 2 || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2024-03-09  7:18 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-03-09  7:18 UTC (permalink / raw
  To: gentoo-commits

commit:     21b1ec1a010e91fd2c3044f3b24f602eb04b21d4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  9 06:15:12 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar  9 07:18:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21b1ec1a

dev-python/django-filter: Bump to 24.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-24.1.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 2de10419514e..0e7637fba6f5 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c
+DIST django-filter-24.1.gh.tar.gz 138579 BLAKE2B 86711bc2f0e2dbad59d445d2dd4456c409d18e5ca9403a2179a5f8f2721b206ebdf7de67965d7efb7bbda88b9ac41e94b51a205406f53345b57b602deba7ec98 SHA512 84751d67c03f9cb8e42b37efe16fe457eaa3dee8c2b385a95600e5e2efbd377405e7d827c740c9b7c182fe4e50cfc84244921ee3d83d62bebe4b0efae99a8a70

diff --git a/dev-python/django-filter/django-filter-24.1.ebuild b/dev-python/django-filter/django-filter-24.1.ebuild
new file mode 100644
index 000000000000..d8a17b109b61
--- /dev/null
+++ b/dev-python/django-filter/django-filter-24.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2024-03-28  5:55 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-03-28  5:55 UTC (permalink / raw
  To: gentoo-commits

commit:     788428f064e06a92cee52b817ce2c5dcd696aeb8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 28 05:46:26 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 05:55:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=788428f0

dev-python/django-filter: Bump to 24.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-24.2.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 0e7637fba6f5..4d76509c2647 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,2 +1,3 @@
 DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c
 DIST django-filter-24.1.gh.tar.gz 138579 BLAKE2B 86711bc2f0e2dbad59d445d2dd4456c409d18e5ca9403a2179a5f8f2721b206ebdf7de67965d7efb7bbda88b9ac41e94b51a205406f53345b57b602deba7ec98 SHA512 84751d67c03f9cb8e42b37efe16fe457eaa3dee8c2b385a95600e5e2efbd377405e7d827c740c9b7c182fe4e50cfc84244921ee3d83d62bebe4b0efae99a8a70
+DIST django-filter-24.2.gh.tar.gz 139679 BLAKE2B a45793644668525aee58eeea4d9e02c34d822234ef300853f393419ade54a00a3ff2b077db7d299a3b9165b5c689bb4d0e5f7f5417b33a73dc92202fafd9eeb3 SHA512 8a2f67ed497ab3866edd1fe12dc819ecaf5c1508eb44df164621c818c8e5a4ef9a5f4c584981170fd98d432b9231fb732826880ad37f63db65875195d1b4e103

diff --git a/dev-python/django-filter/django-filter-24.2.ebuild b/dev-python/django-filter/django-filter-24.2.ebuild
new file mode 100644
index 000000000000..d8a17b109b61
--- /dev/null
+++ b/dev-python/django-filter/django-filter-24.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2024-08-03  5:03 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-08-03  5:03 UTC (permalink / raw
  To: gentoo-commits

commit:     8c9e9969a432e386c3b41ef856bdf234e52e9187
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  3 04:39:32 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  3 04:39:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c9e9969

dev-python/django-filter: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  2 --
 dev-python/django-filter/django-filter-23.5.ebuild | 42 ----------------------
 dev-python/django-filter/django-filter-24.1.ebuild | 42 ----------------------
 3 files changed, 86 deletions(-)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 4d76509c2647..e3dd51ba68e5 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,3 +1 @@
-DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c
-DIST django-filter-24.1.gh.tar.gz 138579 BLAKE2B 86711bc2f0e2dbad59d445d2dd4456c409d18e5ca9403a2179a5f8f2721b206ebdf7de67965d7efb7bbda88b9ac41e94b51a205406f53345b57b602deba7ec98 SHA512 84751d67c03f9cb8e42b37efe16fe457eaa3dee8c2b385a95600e5e2efbd377405e7d827c740c9b7c182fe4e50cfc84244921ee3d83d62bebe4b0efae99a8a70
 DIST django-filter-24.2.gh.tar.gz 139679 BLAKE2B a45793644668525aee58eeea4d9e02c34d822234ef300853f393419ade54a00a3ff2b077db7d299a3b9165b5c689bb4d0e5f7f5417b33a73dc92202fafd9eeb3 SHA512 8a2f67ed497ab3866edd1fe12dc819ecaf5c1508eb44df164621c818c8e5a4ef9a5f4c584981170fd98d432b9231fb732826880ad37f63db65875195d1b4e103

diff --git a/dev-python/django-filter/django-filter-23.5.ebuild b/dev-python/django-filter/django-filter-23.5.ebuild
deleted file mode 100644
index fac2db6651c4..000000000000
--- a/dev-python/django-filter/django-filter-23.5.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="
-	https://github.com/carltongibson/django-filter/
-	https://pypi.org/project/django-filter/
-"
-SRC_URI="
-	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	>=dev-python/django-3.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		${RDEPEND}
-		dev-python/djangorestframework[${PYTHON_USEDEP}]
-		dev-python/pytz[${PYTHON_USEDEP}]
-		!!dev-python/coreapi
-	)
-"
-
-python_test() {
-	local -x DJANGO_SETTINGS_MODULE=tests.settings
-	"${EPYTHON}" -m django test -v 2 || die
-}

diff --git a/dev-python/django-filter/django-filter-24.1.ebuild b/dev-python/django-filter/django-filter-24.1.ebuild
deleted file mode 100644
index d8a17b109b61..000000000000
--- a/dev-python/django-filter/django-filter-24.1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
-HOMEPAGE="
-	https://github.com/carltongibson/django-filter/
-	https://pypi.org/project/django-filter/
-"
-SRC_URI="
-	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	>=dev-python/django-4.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		${RDEPEND}
-		dev-python/djangorestframework[${PYTHON_USEDEP}]
-		dev-python/pytz[${PYTHON_USEDEP}]
-		!!dev-python/coreapi
-	)
-"
-
-python_test() {
-	local -x DJANGO_SETTINGS_MODULE=tests.settings
-	"${EPYTHON}" -m django test -v 2 || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/
@ 2024-08-03  5:03 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-08-03  5:03 UTC (permalink / raw
  To: gentoo-commits

commit:     44afedffde794c9307b1b5d88d03b6f9c1676a9e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  3 04:39:52 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  3 04:39:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44afedff

dev-python/django-filter: Bump to 24.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-24.3.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index e3dd51ba68e5..fd4fa3856bd5 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-24.2.gh.tar.gz 139679 BLAKE2B a45793644668525aee58eeea4d9e02c34d822234ef300853f393419ade54a00a3ff2b077db7d299a3b9165b5c689bb4d0e5f7f5417b33a73dc92202fafd9eeb3 SHA512 8a2f67ed497ab3866edd1fe12dc819ecaf5c1508eb44df164621c818c8e5a4ef9a5f4c584981170fd98d432b9231fb732826880ad37f63db65875195d1b4e103
+DIST django-filter-24.3.gh.tar.gz 141027 BLAKE2B e0403f597f2edb46efd800babedc227ce55b8e9084b7c1fabbd28d9fef85d43b3bc78c453f8c0edeaadfd74d4d3cfb9435378e7b1a2c1581acbed5593c235171 SHA512 73455b44400a60e7c68655b4bf755afc66a4f8c28f1700dbd2970c7c36d5ed61d8b673d72c75219bec5414b850d7cb5ac0a55ee90291c4ac17a672a5202d2934

diff --git a/dev-python/django-filter/django-filter-24.3.ebuild b/dev-python/django-filter/django-filter-24.3.ebuild
new file mode 100644
index 000000000000..d8a17b109b61
--- /dev/null
+++ b/dev-python/django-filter/django-filter-24.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+	https://github.com/carltongibson/django-filter/
+	https://pypi.org/project/django-filter/
+"
+SRC_URI="
+	https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/djangorestframework[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+		!!dev-python/coreapi
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=tests.settings
+	"${EPYTHON}" -m django test -v 2 || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

end of thread, other threads:[~2024-08-03  5:03 UTC | newest]

Thread overview: 27+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-10-17  7:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/django-filter/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2024-08-03  5:03 Michał Górny
2024-08-03  5:03 Michał Górny
2024-03-28  5:55 Michał Górny
2024-03-09  7:18 Michał Górny
2023-12-30 18:28 Michał Górny
2023-12-05 14:32 Michał Górny
2023-11-23 20:11 Michał Górny
2023-11-21  4:44 Michał Górny
2023-09-17 17:22 Michał Górny
2023-09-17 13:45 Michał Górny
2023-09-17 13:35 Michał Górny
2023-03-26 18:02 Michał Górny
2023-01-27 13:14 Arthur Zamarin
2023-01-27 13:14 Arthur Zamarin
2022-04-24 13:27 Jakov Smolić
2021-09-25  7:08 Arthur Zamarin
2021-09-25  6:43 Arthur Zamarin
2021-09-25  6:43 Arthur Zamarin
2021-09-24 19:28 Michał Górny
2021-05-15 23:18 William Hubbs
2021-01-30 20:27 Conrad Kostecki
2021-01-30 20:27 Conrad Kostecki
2020-03-26 20:52 Michał Górny
2020-02-11 20:10 William Hubbs
2020-01-26 20:16 William Hubbs
2019-03-14 21:03 William Hubbs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox